## xterm 398

=== package/freebsd/Makefile ===
# $XTermId: Makefile,v 1.120 2025/01/07 21:30:14 tom Exp $

# This is adapted from the FreeBSD port, installing as "xterm-dev" with
# separate resource- and manpage files.
# copy "xterm-${PORTVERSION}.tgz to the port's distfiles directory
# and "make makesum".

PORTNAME=	xterm
DISTVERSION=	398
CATEGORIES=	x11
MASTER_SITES=	https://invisible-island.net/archives/xterm/:src1 \
		https://invisible-mirror.net/archives/xterm/:src1
PKGNAMESUFFIX=	-dev
DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:src1

MAINTAINER=	ehaupt@FreeBSD.org
COMMENT=	Terminal emulator for the X Window System
WWW=		https://invisible-island.net/xterm/

LICENSE=	MIT
LICENSE_FILE=	${WRKSRC}/COPYING

LIB_DEPENDS+=	libfontconfig.so:x11-fonts/fontconfig

USES=			cpe localbase ncurses tar:tgz xorg
CPE_VENDOR=		invisible-island
USE_XORG=		ice x11 xext xft xmu xpm xt
GNU_CONFIGURE=		yes
CONFIGURE_ARGS+=	--enable-narrowproto \
			--with-utempter

CPPFLAGS+=	-DPIXMAP_ROOTDIR=${LOCALBASE}/share/pixmaps

CONFLICTS=	x11iraf

OPTIONS_DEFINE=		256COLOR DABBREV DECTERM GNOME LOGGING LUIT PCRE2 REGIS \
			SCRNDUMP SIXEL TOOLBAR WCHAR XINERAMA
OPTIONS_DEFAULT=	256COLOR LUIT SIXEL WCHAR XAW
OPTIONS_SINGLE=		ATHENA
OPTIONS_SINGLE_ATHENA=	NEXTAW XAW XAW3D XAW3DXFT

256COLOR_DESC=	Enable 256-color support
DABBREV_DESC=	Enable support for dabbrev-expand
DECTERM_DESC=	Enable DECterm Locator support
LOGGING_DESC=	Enable logging terminal I/O to a file
LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
NEXTAW_DESC=	Link with neXT Athena library
PCRE2_DESC=	${PCRE_DESC} version 2
REGIS_DESC=	Enable ReGIS graphics support
SCRNDUMP_DESC=	Enable XHTML and SVG screen dumps
SIXEL_DESC=	Enable Sixel graphics support
TOOLBAR_DESC=	Enable pulldown menus with a toolbar
WCHAR_DESC=	Enable wide-character support
XAW3DXFT_DESC=	Link with Xaw 3d xft (extended fonts) library
XAW3D_DESC=	Link with Xaw 3d library
XAW_DESC=	Link with Xaw library

256COLOR_CONFIGURE_ENABLE=	256-color
DABBREV_CONFIGURE_ENABLE=	dabbrev
DECTERM_CONFIGURE_ENABLE=	dec-locator
GNOME_USES=			desktop-file-utils
LOGGING_CONFIGURE_ENABLE=	logging
LUIT_IMPLIES=			WCHAR
LUIT_BUILD_DEPENDS=		luit:x11/luit
LUIT_RUN_DEPENDS=		luit:x11/luit
LUIT_CONFIGURE_ENABLE=		luit
NEXTAW_LIB_DEPENDS=		libneXtaw.so:x11-toolkits/neXtaw
NEXTAW_CONFIGURE_WITH=		neXtaw
PCRE2_LIB_DEPENDS=		libpcre2-8.so:devel/pcre2
PCRE2_CONFIGURE_WITH=		pcre2
REGIS_CONFIGURE_ENABLE=		regis-graphics
SCRNDUMP_CONFIGURE_ENABLE=	screen-dumps
SIXEL_CONFIGURE_ENABLE=		sixel-graphics
TOOLBAR_CONFIGURE_ENABLE=	toolbar
WCHAR_LIB_DEPENDS=		libfreetype.so:print/freetype2
WCHAR_CONFIGURE_ENABLE=		wide-chars
WCHAR_VARS=			PKGMESSAGE="${PKGDIR}/pkg-message.wchar"
XAW3DXFT_LIB_DEPENDS=		libXaw3dxft.so:x11-toolkits/libxaw3dxft
XAW3DXFT_CONFIGURE_WITH=	Xaw3dxft
XAW3D_LIB_DEPENDS=		libXaw3d.so:x11-toolkits/Xaw3d
XAW3D_CONFIGURE_WITH=		Xaw3d
XAW_USE=			XORG=xaw
XINERAMA_USE=			XORG=xinerama,xorgproto
XINERAMA_CONFIGURE_OFF=		--without-xinerama

PKG_CLASS=	XTermDev

.include <bsd.port.options.mk>

CONFIGURE_ARGS+=	--program-suffix=${PKGNAMESUFFIX} --with-app-class=${PKG_CLASS} --without-xterm-symlink

.if ! ${PORT_OPTIONS:MXAW3D} && ! ${PORT_OPTIONS:MXAW3DXFT} && ! ${PORT_OPTIONS:MNEXTAW}
USE_XORG+=	xaw
.endif

#ICONVERSION=	1
#
#post-extract:
#	@${CP} ${WRKDIR}/bsd-xterm-icons-${ICONVERSION}/*.png \
#		${WRKDIR}/bsd-xterm-icons-${ICONVERSION}/*.xpm \
#			${WRKSRC}/icons/

post-install:
.for f in koi8rxterm${PKGNAMESUFFIX} resize${PKGNAMESUFFIX} uxterm${PKGNAMESUFFIX} xterm${PKGNAMESUFFIX}
	@${CHMOD} ${BINMODE} ${STAGEDIR}${PREFIX}/bin/${f}
.endfor
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${STAGEDIR}${PREFIX}/share/applications/xterm${PKGNAMESUFFIX}.desktop

.include <bsd.port.mk>

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.156 2024/10/27 05:42:46 pin Exp $

DISTNAME=	xterm-398
CATEGORIES=	x11
MASTER_SITES=	https://invisible-island.net/archives/xterm/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/xterm/xterm.html
COMMENT=	Latest terminal emulator for the X Window System
LICENSE=	x11

GNU_CONFIGURE=		yes
USE_TOOLS+=		tbl pkg-config

WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}

CONFIGURE_ARGS+=	--enable-88-color
CONFIGURE_ARGS+=	--enable-256-color
CONFIGURE_ARGS+=	--enable-paste64
CONFIGURE_ARGS+=	--enable-readline-mouse

CONFIGURE_ARGS.standard=	# empty
CONFIGURE_ARGS.3d=		--with-Xaw3d
CONFIGURE_ARGS.xpm=		--with-Xaw3d
CONFIGURE_ARGS.neXtaw=		--with-neXtaw
CONFIGURE_ARGS+=		${${CONFIGURE_ARGS.${XAW_TYPE}}:L}

INSTALLATION_DIRS=	share/applications

.include "../../mk/bsd.prefs.mk"

.if ${X11_TYPE} == "modular"
CONFIGURE_ARGS+=	--disable-imake
CONFIGURE_ARGS+=	--enable-narrowproto
.endif

.if exists(/usr/include/wchar.h)
CONFIGURE_ARGS+=	--enable-wide-chars
.endif

.include "../../x11/libX11/buildlink3.mk"
.include "../../x11/libXt/buildlink3.mk"
###
### For detection of XKB bell extension.
###
BUILDLINK_DEPMETHOD.libxkbfile?=	build
.include "../../x11/libxkbfile/buildlink3.mk"

post-install:
	${INSTALL_DATA} ${WRKSRC}/xterm.desktop \
		${DESTDIR}${PREFIX}/share/applications && \
	${INSTALL_DATA} ${WRKSRC}/uxterm.desktop \
		${DESTDIR}${PREFIX}/share/applications
	cd ${DESTDIR}${PREFIX}/${PKGMANDIR}/man1 && tbl xterm.1 \
		> xterm.1.tbl && mv xterm.1.tbl xterm.1

.include "options.mk"

.include "../../mk/curses.buildlink3.mk"
.include "../../mk/termcap.buildlink3.mk"
.include "../../sysutils/desktop-file-utils/desktopdb.mk"
.include "../../mk/xaw.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== debian/changelog ===
xterm (398-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:18:18 +0200

xterm (398-1) unstable; urgency=medium

  * New upstream release.
    - Improve modifyOtherKeys, by providing the UCS value for keys which
      have no single-byte representation (Closes: #1093056).
  * Update upstream signing key.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 15 Apr 2025 19:43:44 +0200

## xterm 401

=== debian/changelog ===
xterm (401-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 05 Jul 2025 17:21:45 +0200

xterm (399-1) experimental; urgency=low

  * New upstream release.
    - Modify one of the missing-character checks to prefer Xft's check
      over the check for missing line-drawing characters
      (Closes: #1084794).
    - Revise a limit-check in selection to fix a regression in xterm 398
      (Closes: #1105738).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2025 18:01:25 +0200

## xterm 402

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.120 2025/01/07 21:30:14 tom Exp $
+# $XTermId: Makefile,v 1.125 2025/08/11 07:41:52 tom Exp $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
 # separate resource- and manpage files.
@@ -6,7 +6,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-DISTVERSION=	398
+DISTVERSION=	402
 CATEGORIES=	x11
 MASTER_SITES=	https://invisible-island.net/archives/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1
@@ -43,7 +43,7 @@
 DABBREV_DESC=	Enable support for dabbrev-expand
 DECTERM_DESC=	Enable DECterm Locator support
 LOGGING_DESC=	Enable logging terminal I/O to a file
-LUIT_DESC=	Use LUIT for locale convertion from/to UTF-8
+LUIT_DESC=	Use LUIT for locale conversion from/to UTF-8
 NEXTAW_DESC=	Link with neXT Athena library
 PCRE2_DESC=	${PCRE_DESC} version 2
 REGIS_DESC=	Enable ReGIS graphics support

=== debian/changelog ===
xterm (402-1) unstable; urgency=medium

  * New upstream release.
    - Add a null-pointer check in ScrnWriteText (Closes: #1110769).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2025 19:07:08 +0200

=== debian/control ===
Source: xterm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
Homepage: https://invisible-island.net/xterm/xterm.html
Build-Depends:
 libncurses-dev,
 libxft-dev, libxrender-dev,
 libxaw7-dev,
 libxkbfile-dev,
 libutempter-dev,
 libxcursor-dev,
 libxinerama-dev,
 debhelper-compat (= 13),
 debhelper (>= 13.1~),
 autoconf-dickey (>= 2.52+20210509),
 groff,
 bsdextrautils,
 lynx,
 xorg-docs-core,
 desktop-file-utils,

# Reasons for Build-Depends:
#
# (An "R" to the left of a file specification indicates a file that was removed
# from the upstream source tree when the Debian source package was prepared and
# an "I" to the left of a file specification indicates a file that is
# irrelevant or unused as part of the package build process; such files
# therefore do not actually cause a build-dependency, but are mentioned here for
# completeness.)
#
# Upstream build dependencies on commands are listed first, followed by
# upstream build depenencies on library headers, and then Debian packaging
# infrastructure dependencies.
#
#   libncurses-dev
#       Tekproc.c:#include <menu.h>
#   I   aclocal.m4:#include <termcap.h>],[
#   I   aclocal.m4:#include <curses.h>
#   I   aclocal.m4:#include <term.h>          /* eliminate most BSD hacks */
#       button.c:#include <menu.h>
#       charproc.c:#include <menu.h>
#   I   configure:#include <termcap.h>
#   I   configure:#include <curses.h>
#   I   configure:#include <term.h>           /* eliminate most BSD hacks */
#       fontutils.c:#include <menu.h>
#       main.c:#include <menu.h>
#       menu.c:#include <menu.h>
#       misc.c:#include <menu.h>
#       os2main.c:#include <menu.h>
#       print.c:#include <menu.h>
#       resize.c:#include <termcap.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <term.h>            /* tgetent() */
#       scrollbar.c:#include <menu.h>
#       util.c:#include <menu.h>
#   libxft-dev (>> 2.1.2)
#       aclocal.m4:#include <X11/Xft/Xft.h>],[
#       configure:#include <X11/Xft/Xft.h>
#       ptyx.h:#include <X11/Xft/Xft.h>
#   libxrender-dev (>> 1:0.9.0)
#       aclocal.m4:#include <X11/extensions/Xrender.h>
#       configure:#include <X11/extensions/Xrender.h>
#   libxaw7-dev
#       main.c:#include <X11/Xaw/Form.h>
#       main.c:#include <X11/Xaw3d/Form.h>
#       main.c:#include <X11/XawPlus/Form.h>
#       menu.c:#include <X11/Xaw/SimpleMenu.h>
#       menu.c:#include <X11/Xaw/Box.h>
#       menu.c:#include <X11/Xaw/SmeBSB.h>
#       menu.c:#include <X11/Xaw/SmeLine.h>
#       menu.c:#include <X11/Xaw/MenuButton.h>
#       menu.c:#include <X11/Xaw/Form.h>
#       menu.c:#include <X11/Xaw3d/SimpleMenu.h>
#       menu.c:#include <X11/Xaw3d/Box.h>
#       menu.c:#include <X11/Xaw3d/SmeBSB.h>
#       menu.c:#include <X11/Xaw3d/SmeLine.h>
#       menu.c:#include <X11/Xaw3d/MenuButton.h>
#       menu.c:#include <X11/Xaw3d/Form.h>
#       menu.c:#include <X11/XawPlus/SimpleMenu.h>
#       menu.c:#include <X11/XawPlus/Box.h>
#       menu.c:#include <X11/XawPlus/SmeBSB.h>
#       menu.c:#include <X11/XawPlus/SmeLine.h>
#       menu.c:#include <X11/XawPlus/MenuButton.h>
#       menu.c:#include <X11/XawPlus/Form.h>
#       os2main.c:#include <X11/Xaw/Form.h>
#       os2main.c:#include <X11/Xaw3d/Form.h>
#       os2main.c:#include <X11/XawPlus/Form.h>
#       scrollbar.c:#include <X11/Xaw/Scrollbar.h>
#       scrollbar.c:#include <X11/Xaw3d/Scrollbar.h>
#       scrollbar.c:#include <X11/XawPlus/Scrollbar.h>
#       Tekproc.c:#include <X11/Xaw/Form.h>
#       Tekproc.c:#include <X11/Xaw3d/Form.h>
#       Tekproc.c:#include <X11/XawPlus/Form.h>
#   libxkbfile-dev
#       data.h:#include <X11/extensions/XKBbells.h>
#   libutempter-dev
#       main.c:#include <utempter.h>
#   libxcursor-dev
#       misc.c:#ifdev HAVE_LIB_XCURSOR
#   libxinerama-dev
#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
#   xorg-docs-core                  provides X(7) which minstall.sh tries to
#                                   detect
#   debhelper-compat (= 13)         debhelper compat level 13
#   debhelper (>= 13.1~)            dh_installalternatives
#   autoconf-dickey                 regenerate configure
#   groff, bsdextrautils            regenerate ctlseqs.txt
#   lynx                            generates plain-text version of xterm faq
#   desktop-file-utils              for installing xterm.desktop

Package: xterm
Architecture: any
Multi-Arch: foreign
Depends:
 xbitmaps,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: luit | x11-utils (<< 7.7+6~)
Suggests: xfonts-cyrillic
Provides: x-terminal-emulator
Description: X terminal emulator
 xterm is a terminal emulator for the X Window System.  It provides DEC VT102
 and Tektronix 4014 compatible terminals for programs that cannot use the
 window system directly.  This version implements ISO/ANSI colors and most of
 the control sequences used by DEC VT220 terminals.
 .
 This package provides four commands: xterm, which is the traditional
 terminal emulator; uxterm, which is a wrapper around xterm that is
 intelligent about locale settings (especially those which use the UTF-8
 character encoding), but which requires the luit program from the luit
 package; koi8rxterm, a wrapper similar to uxterm for locales that use the
 KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
 previous commands to execute based on the user's locale settings.
 .
 A complete list of control sequences supported by the X terminal emulator
 is provided in /usr/share/doc/xterm.
 .
 The xterm program uses bitmap images provided by the xbitmaps package.
 .
 Those interested in using koi8rxterm will likely want to install the
 xfonts-cyrillic package as well.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
 https://invisible-mirror.net/archives/xterm/ xterm-(.*).tgz

## xterm 403

=== debian/changelog ===
xterm (403-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 13:52:03 +0100

xterm (403-1) unstable; urgency=medium

  * New upstream release.
    - Modify a special case which gives the expected width of Latin-1
      characters to account for the allowC1Printable resource
      (Closes: #1110771).
    - Adjust limits for built-in line-drawing characters
      (Closes: #1109472).
  * Modify debian/rules to set the 'disallowedWindowOps' resource to "*",
    and refresh patch 902_windowops.diff accordingly.
  * Drop the redundant Rules-Requires-Root field from debian/control.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 02 Nov 2025 17:21:57 +0100

xterm (402-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Sep 2025 18:38:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xterm source package

# Copyright 2005 David Martínez Moreno
#
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

HTML2TEXT:=lynx -dump -nolist -display_charset=utf-8

DEBTREEDIR:=$(CURDIR)/debian/tmp

DESKTOP_FLAGS = --vendor debian \
		--dir=$(DEBTREEDIR)/usr/share/applications

# disable some unsafe operations
CPPFLAGS += \
	-DDEF_ALLOW_FONT=False \
	-DDEF_ALLOW_TCAP=False \
	-DDEF_DISALLOWED_WINDOW=\\\"*\\\"

override_dh_auto_clean:
	if [ -f ctlseqs.txt.old ]; then mv -f ctlseqs.txt.old ctlseqs.txt; fi
	dh_auto_clean

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

override_dh_auto_configure:
	dh_auto_configure -- \
		--exec-prefix=/usr \
		--with-app-defaults=/etc/X11/app-defaults \
		--with-icondir=/usr/share/icons \
		--with-icon-theme=yes \
		--with-tty-group=tty \
		--enable-warnings \
		--enable-logging \
		--enable-wide-chars \
		--enable-luit \
		--enable-256-color \
		--disable-imake \
		--enable-narrowproto \
		--enable-exec-xterm \
		--enable-dabbrev \
		--enable-backarrow-is-erase \
		--enable-pty-erase \
		--enable-sixel-graphics \
		--with-utempter \
		--with-utmp-path=/var/run/utmp \
		--with-wtmp-path=/var/log/wtmp \
		--with-desktop-category=System,TerminalEmulator, \
		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LUIT=/usr/bin/luit

override_dh_auto_build:
	if [ ! -f ctlseqs.txt.old ] && [ -f ctlseqs.txt ]; \
	   then mv -f ctlseqs.txt ctlseqs.txt.old; \
	   else rm -f ctlseqs.txt; \
	fi
	dh_auto_build -- all ../ctlseqs.txt
	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- install-desktop
	## Install lxterm command and manual page.
	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1
	## Install terminfo and termcap precompiled definitions.
	install -d $(DEBTREEDIR)/usr/share/doc/xterm
	install -m 644 termcap  $(DEBTREEDIR)/usr/share/doc/xterm/xterm.termcap
	install -m 644 terminfo $(DEBTREEDIR)/usr/share/doc/xterm/xterm.terminfo

%:
	dh $@ --builddirectory=build/

debian/local/xterm.faq.html:
	wget -O $@ https://invisible-island.net/xterm/xterm.faq.html

.PHONY: debian/local/xterm.faq.html

## xterm 404

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.156 2024/10/27 05:42:46 pin Exp $
 
-DISTNAME=	xterm-398
+DISTNAME=	xterm-404
 CATEGORIES=	x11
 MASTER_SITES=	https://invisible-island.net/archives/xterm/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
xterm (404-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 10:00:12 +0100

xterm (404-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 09 Dec 2025 18:08:02 +0100

## xterm 405

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.156 2024/10/27 05:42:46 pin Exp $
 
-DISTNAME=	xterm-404
+DISTNAME=	xterm-405
 CATEGORIES=	x11
 MASTER_SITES=	https://invisible-island.net/archives/xterm/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
xterm (405-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Dec 2025 09:32:48 +0100

xterm (405-1) unstable; urgency=medium

  * New upstream release.
    - Correct sign-extension in drawing changes made in xterm 404
      (Closes: #1122519).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 15 Dec 2025 17:12:16 +0100

## xterm 406

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.156 2024/10/27 05:42:46 pin Exp $
 
-DISTNAME=	xterm-405
+DISTNAME=	xterm-406
 CATEGORIES=	x11
 MASTER_SITES=	https://invisible-island.net/archives/xterm/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
xterm (406-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Dec 2025 09:18:30 +0100

xterm (406-1) unstable; urgency=medium

  * New upstream release.
    - Add option -emoji_width and resource emojiWidth to allow
      enabling/disabling VS15/VS16 feature introduced in xterm 404
      (Closes: #1123509).  Also, work around display issues by changing
      the filler character for VS16.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Dec 2025 20:27:15 +0100

## xterm 407

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.156 2024/10/27 05:42:46 pin Exp $
 
-DISTNAME=	xterm-406
+DISTNAME=	xterm-407
 CATEGORIES=	x11
 MASTER_SITES=	https://invisible-island.net/archives/xterm/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
xterm (407-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Feb 2026 17:51:56 +0100

xterm (407-1) unstable; urgency=medium

  * New upstream release.
    - Improve fix for #738794, to show boxes for codes which are
      neither combining characters or valid Unicode characters
      (Closes: #1123877).
    - Improve switching to/from UTF-8 mode by saving, restoring and
      resetting the G0-G3 array (Closes: #1124802).
  * Update upstream signing key.
  * Refresh Debian patches.
  * Convert debian/watch to version 5.
  * Drop the redundant Priority field from debian/control.
  * Bump Standards-Version to 4.7.3, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Feb 2026 19:19:41 +0100

=== debian/watch ===
Version: 5

Source: https://invisible-mirror.net/archives/xterm/
Matching-Pattern: xterm-(.*).tgz
Pgpsigurlmangle: s/$/.asc/
